d2i_X509_NAME(3) | OpenSSL | d2i_X509_NAME(3)

# NAME

d2i_X509_NAME, i2d_X509_NAME - X509_NAME encoding functions

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/x509.h>
X509_NAME *d2i_X509_NAME(X509_NAME **a, unsigned char **pp, long length);
int i2d_X509_NAME(X509_NAME *a, unsigned char **pp);

# DESCRIPTION

These functions decode and encode an X509_NAME structure which is the same as the Name type defined in RFC2459 (and elsewhere) and used for example in certificate subject and issuer names.

Othewise the functions behave in a similar way to d2i_X509() and i2d_X509() described in the d2i_X509(3) manual page.

# SEE ALSO

d2i_X509(3)

# HISTORY

TBA

2016-03-10 | 1.0.1u